import { EmitContext, Program } from "@typespec/compiler";
import { NetEmitterOptions } from "./options.js";
export declare function $onEmit(context: EmitContext<NetEmitterOptions>): Promise<void>;
/** check the dotnet sdk installation.
 * Report diagnostic if dotnet sdk is not installed or its version does not meet prerequisite
 * @param program The typespec compiler program
 * @param minVersionRequisite The minimum required major version
 */
export declare function validateDotNetSdk(program: Program, minMajorVersion: number): Promise<boolean>;
//# sourceMappingURL=emitter.d.ts.map